List templates
GET
/v1/templatesAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredQuery parameters
statusstringcategorystringlanguagestringsearchstringchannel_idstringlimitinteger<int32>min 1 · max 100 · default: 20
offsetinteger<int32>min 0 · default: 0
Responses
200OK
itemsTemplateItem[] | nullrequiredShow propertiesHide properties
Array of
TemplateItembody_textstringrequiredbuilder_jsonanybuilder_versioninteger<int32>buttonsTemplateButtonInput[] | nullShow propertiesHide properties
Array of
TemplateButtonInputexamplestringflow_actionstringflow_idstringnavigate_screenstringotp_typestringpackage_namestringphone_numberstringsignature_hashstringtextstringrequiredtypestringrequiredurlstringcategorystringrequiredchannel_idstringcomponents_jsonanyrequiredcreated_atstringrequirededitor_modestringfooter_textstringheader_formatstringrequiredheader_handlestringheader_textstringidstringrequiredlanguagestringrequiredmeta_synced_atstringmeta_template_idstringnamestringrequiredorganization_idstringrequiredquality_scorestringrejection_reasonstringstatusstringrequiredupdated_atstringrequiredvariablesTemplateVariableItem[] | nullShow propertiesHide properties
Array of
TemplateVariableItemcomponent_typestringrequireddisplay_namestringrequiredexample_valuestringrequiredidstringrequiredpositioninteger<int32>requiredsource_keystringsource_typestringrequiredmetaPaginationMetarequiredShow propertiesHide properties
cursorstringhas_morebooleanrequiredlimitinteger<int64>requirednext_cursorstringoffsetinteger<int64>totalinteger<int64>400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/templates"const response = await fetch("/v1/templates", {
method: "GET"
});import requests
response = requests.get(
"/v1/templates",
)Response
{
"items": [
{
"body_text": "string",
"builder_json": "string",
"builder_version": 0,
"buttons": [
{
"example": "string",
"flow_action": "string",
"flow_id": "string",
"navigate_screen": "string",
"otp_type": "string",
"package_name": "string",
"phone_number": "string",
"signature_hash": "string",
"text": "string",
"type": "string",
"url": "string"
}
],
"category": "string",
"channel_id": "string",
"components_json": "string",
"created_at": "string",
"editor_mode": "string",
"footer_text": "string",
"header_format": "string",
"header_handle": "string",
"header_text": "string",
"id": "string",
"language": "string",
"meta_synced_at": "string",
"meta_template_id": "string",
"name": "string",
"organization_id": "string",
"quality_score": "string",
"rejection_reason": "string",
"status": "string",
"updated_at": "string",
"variables": [
{
"component_type": "string",
"display_name": "string",
"example_value": "string",
"id": "string",
"position": 0,
"source_key": "string",
"source_type": "string"
}
]
}
],
"meta": {
"cursor": "string",
"has_more": true,
"limit": 0,
"next_cursor": "string",
"offset": 0,
"total": 0
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}